summaryrefslogtreecommitdiff
path: root/package/pmacct/files
diff options
context:
space:
mode:
Diffstat (limited to 'package/pmacct/files')
-rw-r--r--package/pmacct/files/nfacctd.conf28
-rw-r--r--package/pmacct/files/nfacctd.init25
-rw-r--r--package/pmacct/files/pmacctd.conf26
-rw-r--r--package/pmacct/files/pmacctd.init25
4 files changed, 104 insertions, 0 deletions
diff --git a/package/pmacct/files/nfacctd.conf b/package/pmacct/files/nfacctd.conf
new file mode 100644
index 000000000..a9817b218
--- /dev/null
+++ b/package/pmacct/files/nfacctd.conf
@@ -0,0 +1,28 @@
+!
+! nfacctd configuration example
+!
+! debug: true
+daemonize: true
+pidfile: /var/run/nfacctd.pid
+! aggregate_filter[dummy]: src net 192.168.0.0/16
+aggregate: src_host, dst_host
+! plugin_buffer_size: 1024
+! nfacctd_port: 5678
+! nfacctd_time_secs: true
+! nfacctd_time_new: true
+plugins: memory
+imt_buckets: 65537
+imt_mem_pools_size: 65536
+! imt_mem_pools_number: 0
+! plugins: mysql
+! plugins: pgsql
+! sql_db: pmacct
+! sql_table: acct
+! sql_table_version: 2
+! sql_passwd: arealsmartpwd
+! sql_user: pmacct
+! sql_refresh_time: 90
+! sql_optimize_clauses: true
+! sql_history: 10m
+! sql_history_roundoff: mh
+! networks_file: ./networks.example
diff --git a/package/pmacct/files/nfacctd.init b/package/pmacct/files/nfacctd.init
new file mode 100644
index 000000000..2d0072bf5
--- /dev/null
+++ b/package/pmacct/files/nfacctd.init
@@ -0,0 +1,25 @@
+#!/bin/sh
+#FWINIT 80
+. /etc/rc.conf
+
+case $1 in
+autostop) ;;
+ autostart)
+ test x"${nfacctd:-NO}" = x"NO" && exit 0
+ exec sh $0 start
+ ;;
+ start)
+ nfacctd $nfaccd_flags
+ ;;
+ stop)
+ killall nfacctd
+ ;;
+ restart)
+ sh $0 stop
+ sh $0 start
+ ;;
+ *)
+ echo "usage: $0 {start | stop | restart}"
+ exit 1
+esac
+exit $?
diff --git a/package/pmacct/files/pmacctd.conf b/package/pmacct/files/pmacctd.conf
new file mode 100644
index 000000000..65c6387ea
--- /dev/null
+++ b/package/pmacct/files/pmacctd.conf
@@ -0,0 +1,26 @@
+!
+! pmacctd configuration example
+!
+! debug: true
+interface: vlan1
+daemonize: true
+pidfile: /var/run/pmacctd.pid
+pmacctd_id: 1
+aggregate: src_host,dst_host
+! aggregate: src_net,dst_net
+plugins: memory
+imt_buckets: 65537
+imt_mem_pools_size: 65536
+! imt_mem_pools_number: 0
+! plugins: mysql
+! plugins: pgsql
+! sql_db: pmacct
+! sql_table: acct
+! sql_table_version: 2
+! sql_passwd: arealsmartpwd
+! sql_user: pmacct
+! sql_refresh_time: 90
+! sql_optimize_clauses: true
+! sql_history: 10m
+! sql_history_roundoff: mh
+! networks_file: ./networks.example
diff --git a/package/pmacct/files/pmacctd.init b/package/pmacct/files/pmacctd.init
new file mode 100644
index 000000000..5cde04ba7
--- /dev/null
+++ b/package/pmacct/files/pmacctd.init
@@ -0,0 +1,25 @@
+#!/bin/sh
+#FWINIT 80
+. /etc/rc.conf
+
+case $1 in
+autostop) ;;
+ autostart)
+ test x"${pmacctd:-NO}" = x"NO" && exit 0
+ exec sh $0 start
+ ;;
+ start)
+ pmacctd $pmacctd_flags
+ ;;
+ stop)
+ killall pmacctd
+ ;;
+ restart)
+ sh $0 stop
+ sh $0 start
+ ;;
+ *)
+ echo "usage: $0 {start | stop | restart}"
+ exit 1
+esac
+exit $?